=== debian/changelog ===
galera-3 (25.3.23-1ubuntu1) cosmic; urgency=medium

  * Do not run testsuite on armhf with arm64 kernel due to bus errors.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Jul 2018 11:10:09 +0100

galera-3 (25.3.23-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:13:24 +0000

galera-3 (25.3.23-1) unstable; urgency=low

  * Update VCS-* links to point to Salsa
  * New upstream version 25.3.23
    - Includes GCC-7 build fix (Closes: #853410)
  * Fix Lintian complaints
  * Use dh --list-missing to detect extra files that might belong in package

 -- Otto Kekäläinen <otto@debian.org>  Sun, 04 Mar 2018 01:12:52 +0200
