=== debian/control ===
Source: galera-3
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>
Section: database
Priority: extra
Standards-Version: 4.1.3.0
Build-Depends: check,
               debhelper (>= 9),
               libasio-dev,
               libboost-dev (>= 1.41),
               libboost-program-options-dev (>= 1.41),
               libssl-dev,
               scons (>= 2)
Homepage: http://www.galeracluster.com/
Vcs-Browser: https://salsa.debian.org/mariadb-team/galera-3
Vcs-Git: https://salsa.debian.org/mariadb-team/galera-3.git

Package: galera-3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: garbd-2,
           garbd2,
           percona-galera-3,
           percona-xtradb-cluster-galera,
           percona-xtradb-cluster-galera-2.x,
           percona-xtradb-cluster-galera-3.x,
           percona-xtradb-cluster-garbd-2.x,
           percona-xtradb-cluster-garbd-3.x
Provides: galera, galera3, percona-xtradb-cluster-galera-25, wsrep
Breaks: galera
Replaces: galera
Description: Replication framework for transactional applications
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see http://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera library/plugin.

Package: galera-3-dbg
Architecture: any
Section: debug
Depends: galera-3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for galera-3
 This package contains the debugging symbols for galera-3.

Package: galera-arbitrator-3
Architecture: any
Conflicts: garbd-2, garbd2, percona-xtradb-cluster-garbd-2.x
Breaks: percona-xtradb-cluster-galera-2.x
Replaces: percona-xtradb-cluster-galera-2.x
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Description: Galera arbitrator daemon
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see http://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera arbitrator daemon (garbd).

Package: galera-arbitrator-3-dbg
Architecture: any
Section: debug
Conflicts: percona-xtradb-cluster-galera-2.x-dbg
Depends: galera-arbitrator-3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for galera-arbitrator-3
 This package contains the debugging symbols for galera-arbitrator-3.
