## galera-3 25.3.24

=== SConstruct ===
--- 
+++ 
@@ -141,7 +141,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.23')
+GALERA_VER = ARGUMENTS.get('version', '3.24')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -154,7 +154,7 @@
 print('Signature: version: ' + GALERA_VER + ', revision: ' + GALERA_REV)
 
 LIBBOOST_PROGRAM_OPTIONS_A = ARGUMENTS.get('bpostatic', '')
-LIBBOOST_SYSTEM_A = string.replace(LIBBOOST_PROGRAM_OPTIONS_A, 'boost_program_options', 'boost_system')
+LIBBOOST_SYSTEM_A = LIBBOOST_PROGRAM_OPTIONS_A.replace('boost_program_options', 'boost_system')
 
 #
 # Set up and export default build environment
@@ -183,8 +183,8 @@
     env.Replace(LINK = link)
 
 # Get compiler name/version, CXX may be set to "c++" which may be clang or gcc
-cc_version = read_first_line(env['CC'].split() + ['--version'])
-cxx_version = read_first_line(env['CXX'].split() + ['--version'])
+cc_version = str(read_first_line(env['CC'].split() + ['--version']))
+cxx_version = str(read_first_line(env['CXX'].split() + ['--version']))
 
 print('Using C compiler executable: ' + env['CC'])
 print('C compiler version is: ' + cc_version)
@@ -340,6 +340,17 @@
     context.Result(result)
     return result
 
+# advanced SSL features
+def CheckSetEcdhAuto(context):
+    test_source = """
+#include <openssl/ssl.h>
+int main() { SSL_CTX* ctx=NULL; return !SSL_CTX_set_ecdh_auto(ctx, 1); }
+"""
+    context.Message('Checking for SSL_CTX_set_ecdh_auto() ... ')
+    result = context.TryLink(test_source, '.cpp')
+    context.Result(result)
+    return result
+
 #
 # Construct configuration context
 #
@@ -349,8 +360,11 @@
     'CheckTr1Array': CheckTr1Array,
     'CheckTr1SharedPtr': CheckTr1SharedPtr,
     'CheckTr1UnorderedMap': CheckTr1UnorderedMap,
-    'CheckWeffcpp': CheckWeffcpp
+    'CheckWeffcpp': CheckWeffcpp,
+    'CheckSetEcdhAuto': CheckSetEcdhAuto
 })
+
+conf.env.Append(CPPPATH = [ '#/wsrep/src' ])
 
 # System headers and libraries
 
@@ -376,18 +390,3 @@
 if sysname == 'sunos':
     if not conf.CheckLib('socket'):
         print('Error: socket library not found')
-        Exit(1)
-    if not conf.CheckLib('crypto'):
-        print('Error: crypto library not found')
-        Exit(1)
-    if not conf.CheckLib('nsl'):
-        print('Error: nsl library not found')
-        Exit(1)
-
-if conf.CheckHeader('sys/epoll.h'):
-    conf.env.Append(CPPFLAGS = ' -DGALERA_USE_GU_NETWORK')
-
-if conf.CheckHeader('byteswap.h'):
-    conf.env.Append(CPPFLAGS = ' -DHAVE_BYTESWAP_H')
-
-if conf.CheckHeader('endian.h'):
