## galera-3 25.3.25

=== SConstruct ===
--- 
+++ 
@@ -141,7 +141,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.24')
+GALERA_VER = ARGUMENTS.get('version', '3.25')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -279,8 +279,13 @@
     system_asio_test_source_file = """
 #include <asio.hpp>
 
+#define XSTR(x) STR(x)
+#define STR(x) #x
+#pragma message "Asio version:" XSTR(ASIO_VERSION)
 #if ASIO_VERSION < 101001
-#error "Included asio version is too old"
+#error Included asio version is too old
+#elif ASIO_VERSION >= 101100
+#error Included asio version is too new
 #endif
 
 int main()
@@ -289,7 +294,7 @@
 }
 
 """
-    context.Message('Checking ASIO version (> 1.10.1) ... ')
+    context.Message('Checking ASIO version (>= 1.10.1 and < 1.11.0) ... ')
     result = context.TryLink(system_asio_test_source_file, '.cpp')
     context.Result(result)
     return result
@@ -347,6 +352,16 @@
 int main() { SSL_CTX* ctx=NULL; return !SSL_CTX_set_ecdh_auto(ctx, 1); }
 """
     context.Message('Checking for SSL_CTX_set_ecdh_auto() ... ')
+    result = context.TryLink(test_source, '.cpp')
+    context.Result(result)
+    return result
+
+def CheckSetTmpEcdh(context):
+    test_source = """
+#include <openssl/ssl.h>
+int main() { SSL_CTX* ctx=NULL; EC_KEY* ecdh=NULL; return !SSL_CTX_set_tmp_ecdh(ctx,ecdh); }
+"""
+    context.Message('Checking for SSL_CTX_set_tmp_ecdh_() ... ')
     result = context.TryLink(test_source, '.cpp')
     context.Result(result)
     return result
@@ -361,7 +376,8 @@
     'CheckTr1SharedPtr': CheckTr1SharedPtr,
     'CheckTr1UnorderedMap': CheckTr1UnorderedMap,
     'CheckWeffcpp': CheckWeffcpp,
-    'CheckSetEcdhAuto': CheckSetEcdhAuto
+    'CheckSetEcdhAuto': CheckSetEcdhAuto,
+    'CheckSetTmpEcdh': CheckSetTmpEcdh
 })
 
 conf.env.Append(CPPPATH = [ '#/wsrep/src' ])
@@ -369,24 +385,3 @@
 # System headers and libraries
 
 if not conf.CheckLib('pthread'):
-    print('Error: pthread library not found')
-    Exit(1)
-
-# libatomic may be needed on some 32bit platforms (and 32bit userland PPC64)
-# for 8 byte atomics but not generally required
-if not x86:
-    conf.CheckLib('atomic')
-
-if sysname != 'darwin':
-    if not conf.CheckLib('rt'):
-        print('Error: rt library not found')
-        Exit(1)
-
-if sysname == 'freebsd':
-    if not conf.CheckLib('execinfo'):
-        print('Error: execinfo library not found')
-        Exit(1)
-
-if sysname == 'sunos':
-    if not conf.CheckLib('socket'):
-        print('Error: socket library not found')
