=== debian/changelog ===
galera-3 (25.3.25-2) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Hopefully fix FTBFS on mipsel (Closes: #920209)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 30 Mar 2019 16:22:23 +0200

galera-3 (25.3.25-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream version 25.3.25

  [ Logan Rosen ]
  * Fix FTBFS against system asio by using bundled version instead
    (Closes: #914112)

  [ Samuel Thibault ]
  * Fix FTBFS on hurd-i386 (Closes: #906305)
  * Do not assume timestamps are strictly monotonous (Closes: #856237)
  * Fix FTBFS on kfreebsd (Closes: #906081)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 09 Jan 2019 00:39:48 +0100

galera-3 (25.3.24-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 25.3.24
  * Add .gitlab-ci.yml copied from Salsa-CI team's example
  * Add rudimentary autopkgtests
  * Make build reproducible by forcing an empty GNU build-id
  * Explicitly forbid tests if DEB_BUILD_OPTIONS has nocheck
  * Add d/upstream/metadata file
  * Update http -> https addresses where available
  * Add 'terse' support in DEB_BUILD_OPTIONS
  * Replace buildflags.mk with full default.mk dpkg settings
  * Drop usage of _SYSTEMCTL_SKIP_REDIRECT from init script (Closes: #910471)
  * Debian Policy 4.0.1: use priority 'optional' instead of 'extra'

  [ Dimitri John Ledkov ]
  * Do not run testsuite on armhf with arm64 kernel due to bus errors

  [ Daniel Kahn Gillmor ]
  * Modernize debugging symbols

 -- Otto Kekäläinen <otto@debian.org>  Mon, 15 Oct 2018 16:24:30 +0300
