=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: galera-3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
+Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
-Priority: extra
-Standards-Version: 4.1.3.0
+Priority: optional
+Standards-Version: 4.2.1
 Build-Depends: check,
-               debhelper (>= 9),
-               libasio-dev,
+               debhelper (>= 9.20151219~),
                libboost-dev (>= 1.41),
                libboost-program-options-dev (>= 1.41),
                libssl-dev,
@@ -34,17 +32,10 @@
 Description: Replication framework for transactional applications
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
- about wsrep API see http://launchpad.net/wsrep. For a description of Galera
+ about wsrep API see https://launchpad.net/wsrep. For a description of Galera
  replication engine see http://galeracluster.com.
  .
  This package contains the Galera library/plugin.
-
-Package: galera-3-dbg
-Architecture: any
-Section: debug
-Depends: galera-3 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for galera-3
- This package contains the debugging symbols for galera-3.
 
 Package: galera-arbitrator-3
 Architecture: any
@@ -59,11 +50,3 @@
  replication engine see http://galeracluster.com.
  .
  This package contains the Galera arbitrator daemon (garbd).
-
-Package: galera-arbitrator-3-dbg
-Architecture: any
-Section: debug
-Conflicts: percona-xtradb-cluster-galera-2.x-dbg
-Depends: galera-arbitrator-3 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for galera-arbitrator-3
- This package contains the debugging symbols for galera-arbitrator-3.
