=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
-
-export DH_VERBOSE=1
 export DEB_BUILD_HARDENING=1
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# Use bundled asio, since system asio is too new (> 1.10.8)
+SCONS_ARGS += system_asio=0
 
 # Parallel build support as adviced
 # at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
@@ -13,12 +14,14 @@
 	# Don't use MAKEFLAGS as it has strange 'w' and '--jobserver-fds=3,4' by default
 endif
 
-# Add support for verbose builds
-ifneq (,$(filter verbose,$(DEB_BUILD_OPTIONS)))
+# According to Debian Policy version 4.2.0 builds should be as verbose as
+# possible unless 'terse' is specifically passed.
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 	SCONS_ARGS += VERBOSE=1
+	export DH_VERBOSE=1
 endif
 
-# Run tests by default
+# Tests are run by default sometimes, so explicitly enable or disable them
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # Bus errors on arm64 kernels prevent running testsuite when building armhf
 ifeq (armhf,$(DEB_HOST_ARCH))
@@ -26,11 +29,19 @@
 else
 	SCONS_ARGS += tests=1 deterministic_tests=1
 endif
+else
+	SCONS_ARGS += tests=0 deterministic_tests=0
 endif
 
 # Use strict compilation flags (ie -Werror) if requested
 ifneq (,$(filter strict_build_flags,$(DEB_BUILD_OPTIONS)))
 	SCONS_ARGS += strict_build_flags=1
+endif
+
+# Some mipsel buildd's are a bit slow and fail tests if they are not
+# given enough time
+ifeq (mipsel,$(DEB_HOST_ARCH))
+        export CK_TIMEOUT_MULTIPLIER=2
 endif
 
 
@@ -51,8 +62,7 @@
 	dh_installinit -n --name=garb -- defaults 18 22
 
 override_dh_strip:
-	dh_strip -pgalera-3 --dbg-package=galera-3-dbg
-	dh_strip -pgalera-arbitrator-3 --dbg-package=galera-arbitrator-3-dbg
+	dh_strip --dbgsym-migration='galera-3-dbg (<< 25.3.23-2~), galera-arbitrator-3-dbg (<< 25.3.23-2~)'
 
 %:
 	dh $@ --list-missing
