## galera-3 25.3.27

=== SConstruct ===
--- 
+++ 
@@ -91,6 +91,16 @@
 
 # Build directory
 build_dir    = ''
+
+# Version script file
+galera_script = File('#/galera-sym.map').abspath
+with open(galera_script, 'w') as f:
+    f.write('''{
+    global: wsrep_loader;
+            wsrep_interface_version;
+    local:  *;
+};
+''')
 
 
 #
@@ -141,7 +151,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.26')
+GALERA_VER = ARGUMENTS.get('version', '3.27')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -210,11 +220,6 @@
     env.Append(CPPPATH = ['/usr/local/include'])
 if sysname == 'sunos':
    env.Replace(SHLINKFLAGS = '-shared ')
-
-# Build shared objects with dynamic symbol dispatching disabled.
-# This enables predictable behavior upon dynamic loading with programs
-# that have own versions of commonly used libraries linked in (boost, asio, etc.)
-env.Append(SHLINKFLAGS = ' -Wl,-Bsymbolic -Wl,-Bsymbolic-functions')
 
 # Add paths is extra_sysroot argument was specified
 extra_sysroot = ARGUMENTS.get('extra_sysroot', '')
@@ -371,11 +376,16 @@
     context.Result(result)
     return result
 
+def CheckVersionScript(context):
+    test_source = """
+int main() { return 0; }
+"""
+    context.Message('Checking for --version-script linker option ... ')
+    result = context.TryLink(test_source, '.cpp')
+    context.Result(result)
+    return result
+
 #
 # Construct configuration context
 #
 conf = Configure(env, custom_tests = {
-    'CheckCpp11': CheckCpp11,
-    'CheckSystemASIOVersion': CheckSystemASIOVersion,
-    'CheckTr1Array': CheckTr1Array,
-    'CheckTr1SharedPtr': CheckTr1SharedPtr,
