=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Build-Depends: check,
                debhelper (>= 9.20151219~),
                libboost-dev (>= 1.41),
