=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,6 @@
         export CK_TIMEOUT_MULTIPLIER=2
 endif
 
-
 override_dh_auto_build:
 	# Print build env info to help debug builds on different platforms
 	dpkg-architecture
@@ -61,10 +60,5 @@
 override_dh_installinit-arch:
 	dh_installinit -n --name=garb -- defaults 18 22
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='galera-3-dbg (<< 25.3.23-2~), galera-arbitrator-3-dbg (<< 25.3.23-2~)'
-
 %:
 	dh $@ --list-missing
-
-.PHONY: override_dh_strip
