## galera-3 25.3.28

=== SConstruct ===
--- 
+++ 
@@ -151,7 +151,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.27')
+GALERA_VER = ARGUMENTS.get('version', '3.28')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
