## galera-3 25.3.29

=== SConstruct ===
--- 
+++ 
@@ -147,11 +147,14 @@
 boost_pool = int(ARGUMENTS.get('boost_pool', 0))
 system_asio= int(ARGUMENTS.get('system_asio', 1))
 tests      = int(ARGUMENTS.get('tests', 1))
+# Run only tests which are known to be deterministic
 deterministic_tests = int(ARGUMENTS.get('deterministic_tests', 0))
+# Run all tests
+all_tests = int(ARGUMENTS.get('all_tests', 0))
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.28')
+GALERA_VER = ARGUMENTS.get('version', '3.29')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -382,10 +385,3 @@
 """
     context.Message('Checking for --version-script linker option ... ')
     result = context.TryLink(test_source, '.cpp')
-    context.Result(result)
-    return result
-
-#
-# Construct configuration context
-#
-conf = Configure(env, custom_tests = {
