=== debian/changelog ===
galera-3 (25.3.29-1) unstable; urgency=medium

  * New upstream version 25.3.29

 -- Otto Kekäläinen <otto@debian.org>  Tue, 11 Feb 2020 15:35:02 +0200
