=== debian/rules ===
--- 
+++ 
@@ -61,4 +61,4 @@
 	dh_installinit -n --name=garb -- defaults 18 22
 
 %:
-	dh $@ --list-missing
+	dh $@
