=== debian/tests/control ===
Tests: smoke
Depends: galera-arbitrator-3
Restrictions: allow-stderr superficial
