## galera-3 25.3.30

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###################################################################
 #
-# Copyright (C) 2010-2017 Codership Oy <info@codership.com>
+# Copyright (C) 2010-2020 Codership Oy <info@codership.com>
 #
 # SCons build script to build galera libraries
 #
@@ -71,8 +71,10 @@
     boost_pool=[0|1]    use or not use boost pool allocator
     revno=XXXX          source code revision number
     bpostatic=path      a path to static libboost_program_options.a
+    static_ssl=path     a path to static SSL libraries
     extra_sysroot=path  a path to extra development environment (Fink, Homebrew, MacPorts, MinGW)
     bits=[32bit|64bit]
+    install=path        install files under path
 ''')
 # bpostatic option added on Percona request
 
@@ -152,9 +154,10 @@
 # Run all tests
 all_tests = int(ARGUMENTS.get('all_tests', 0))
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
-
-
-GALERA_VER = ARGUMENTS.get('version', '3.29')
+static_ssl = ARGUMENTS.get('static_ssl', None)
+install = ARGUMENTS.get('install', None)
+
+GALERA_VER = ARGUMENTS.get('version', '3.30')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -380,8 +383,3 @@
     return result
 
 def CheckVersionScript(context):
-    test_source = """
-int main() { return 0; }
-"""
-    context.Message('Checking for --version-script linker option ... ')
-    result = context.TryLink(test_source, '.cpp')
