=== debian/changelog ===
galera-3 (25.3.30-1) unstable; urgency=medium

  * New upstream version 25.3.30
  * Reduce the runtime overhead for may EVS tests so armel builds can
    pass again (Closes: #958040)
  * Fix typo in original source code
  * Apply same d/rules hardening flags as done in galera-4

 -- Otto Kekäläinen <otto@debian.org>  Sun, 28 Jun 2020 15:46:33 +0300

galera-3 (25.3.29-2) unstable; urgency=medium

  * New source-only upload so package can enter Debian testing

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 Feb 2020 10:40:54 +0200
