=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
 Package: galera-3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: garbd-2,
            garbd2,
            percona-galera-3,
@@ -26,7 +27,10 @@
            percona-xtradb-cluster-galera-3.x,
            percona-xtradb-cluster-garbd-2.x,
            percona-xtradb-cluster-garbd-3.x
-Provides: galera, galera3, percona-xtradb-cluster-galera-25, wsrep
+Provides: galera,
+          galera3,
+          percona-xtradb-cluster-galera-25,
+          wsrep
 Breaks: galera
 Replaces: galera
 Description: Replication framework for transactional applications
@@ -39,10 +43,14 @@
 
 Package: galera-arbitrator-3
 Architecture: any
-Conflicts: garbd-2, garbd2, percona-xtradb-cluster-garbd-2.x
+Conflicts: garbd-2,
+           garbd2,
+           percona-xtradb-cluster-garbd-2.x
 Breaks: percona-xtradb-cluster-galera-2.x
 Replaces: percona-xtradb-cluster-galera-2.x
-Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Galera arbitrator daemon
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
