## galera-3 25.3.31

=== SConstruct ===
--- 
+++ 
@@ -65,6 +65,7 @@
 
 Commandline Options:
     debug=n             debug build with optimization level n
+    asan=[0|1]          disable or enable ASAN instrumentation
     build_dir=dir       build directory, default: '.'
     boost=[0|1]         disable or enable boost libraries
     system_asio=[0|1]   use system asio library, if available
@@ -75,6 +76,8 @@
     extra_sysroot=path  a path to extra development environment (Fink, Homebrew, MacPorts, MinGW)
     bits=[32bit|64bit]
     install=path        install files under path
+    version_script=[0|1] Use version script (default 1)
+    crc32c_no_hardware=[0|1] disable building hardware support for CRC32C
 ''')
 # bpostatic option added on Percona request
 
@@ -114,6 +117,7 @@
 # Debug/dbug flags
 debug = ARGUMENTS.get('debug', -1)
 dbug  = ARGUMENTS.get('dbug', False)
+asan = ARGUMENTS.get('asan', 0)
 
 debug_lvl = int(debug)
 if debug_lvl >= 0 and debug_lvl < 3:
@@ -156,8 +160,9 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 static_ssl = ARGUMENTS.get('static_ssl', None)
 install = ARGUMENTS.get('install', None)
-
-GALERA_VER = ARGUMENTS.get('version', '3.30')
+version_script = int(ARGUMENTS.get('version_script', 1))
+
+GALERA_VER = ARGUMENTS.get('version', '3.31')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -271,6 +276,11 @@
 #
 #env.Prepend(LINKFLAGS = '-Wl,--warn-common -Wl,--fatal-warnings ')
 
+if int(asan):
+    env.Append(CCFLAGS = ' -fsanitize=address')
+    env.Append(CPPFLAGS = ' -DGALERA_WITH_ASAN')
+    env.Append(LINKFLAGS = ' -fsanitize=address')
+
 #
 # Check required headers and libraries (autoconf functionality)
 #
@@ -368,18 +378,3 @@
 int main() { SSL_CTX* ctx=NULL; return !SSL_CTX_set_ecdh_auto(ctx, 1); }
 """
     context.Message('Checking for SSL_CTX_set_ecdh_auto() ... ')
-    result = context.TryLink(test_source, '.cpp')
-    context.Result(result)
-    return result
-
-def CheckSetTmpEcdh(context):
-    test_source = """
-#include <openssl/ssl.h>
-int main() { SSL_CTX* ctx=NULL; EC_KEY* ecdh=NULL; return !SSL_CTX_set_tmp_ecdh(ctx,ecdh); }
-"""
-    context.Message('Checking for SSL_CTX_set_tmp_ecdh_() ... ')
-    result = context.TryLink(test_source, '.cpp')
-    context.Result(result)
-    return result
-
-def CheckVersionScript(context):
