=== debian/changelog ===
galera-3 (25.3.31-2build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:06:32 +0100

galera-3 (25.3.31-2) unstable; urgency=medium

  * Fix i386 builds by forcing Scons to use DEB_HOST_ARCH if available
  * Fix arm64 build failure due to crc32 issue

 -- Otto Kekäläinen <otto@debian.org>  Fri, 06 Nov 2020 23:18:26 +0200

galera-3 (25.3.31-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 25.3.31
  * Drop patches applied upstream
  * Remove d/copyright references to crc32 library that was removed upstream

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Otto Kekäläinen <otto@debian.org>  Mon, 02 Nov 2020 20:43:42 +0200
