=== debian/changelog ===
galera-3 (25.3.34-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 16:18:18 +0100

galera-3 (25.3.34-1) unstable; urgency=medium

  * New upstream version 25.3.34. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-25.3.34.txt
  * Restore CK_TIMEOUT_MULTIPLIER in debian rules to avoid having
    various slow builds and CI runs fail in vain

 -- Otto Kekäläinen <otto@debian.org>  Mon, 02 Aug 2021 13:20:30 -0700
