=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  https://releases.galeracluster.com/galera-3/source/galera-3-(.+).tar.gz
